<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Jobs\NotificationJob;
use App\Models\Notification;
use App\Models\Token;
use App\User;
use Carbon\Carbon;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;

class NotificationsController extends Controller
{
    public function index()
    {
        return view('admin.notifications.index');
    }

    public function store(Request $request)
    {

        $this->validate($request, [
            'body_ar' => 'required',
            'body_en' => 'required',
            'title_ar' => 'required',
            'title_en' => 'required',
        ]);


        $users = User::whereHas('tokens')->get();


        foreach ($users as $user) {

            $job = (new NotificationJob($user->id, $request['body_ar'], $request['body_en'],$request['title_ar'],$request['title_en']))->delay(Carbon::now()->addSeconds(10));
            dispatch($job);
        }

        toast('تم الارسال بنجاح', 'success', 'top-left');
        return back();

    }
}
